<link href="/css/pages/orders.css" rel="stylesheet">

<div id="page_orders" class="container mb-auto py-3">
    <article class="py-3 px-4 rounded">
        <h4 class="ml-4 mt-2 mb-4"><i class="fas fa-list mr-2"></i>Заказы</h4>
        <div class="col mb-4 list rounded overflow-hidden">
            <div class="row py-2">
                <div class="pl-3 mr-1">
                    <input id="checkbox_cart_all" type="checkbox" onchange="return cart_list_checkbox(this);" />
                </div>
                <div class="col-2 ml-auto">
                    <span>Статус</span>
                </div>
                <div class="col-2 mr-3 text-right">
                    <span>Время</span>
                </div>
            </div>
            <?php

            if (isset($orders) && !empty($orders)) {
                foreach ($orders as $order) {
                    // Перебор заказов

                    // Инициализация
                    extract($order);

                    // Инициализация
                    $date = empty($jrnl) ? '' : date('H:i d.m.Y', end($jrnl)['date']);

                    echo <<<HTML
                        <div class="row py-2 cart_list_target">
                            <div class="pl-3 mr-1">
                                <input type="checkbox" onchange="return cart_list_checkbox(this);"/>
                            </div>
                            <div class="col-2 ml-auto">
                                {$account_edge_order[0]['type']}
                            </div>
                            <div class="col-2 mr-3 text-right">
                               $date
                            </div>
                        </div>
                    HTML;
                }
            } else {
                echo <<<HTML
                    <div class="row py-2 cart_list_target">
                        <div class="mx-auto py-2">
                            Заказов нет
                        </div>
                    </div>
                HTML;
            }
            ?>
        </div>
        <div class="row mb-2 mx-0">
            <select id="cart_list_action" class="form-control mr-3 button_clean w-auto" name="CartListAction">
                <option value="none" hidden>Действие с выбранными</option>
                <option value="delete" onclick="return cart_list_delete();">Удалить</option>
            </select>
        </div>
    </article>
</div>

<script src="/js/orders.js" defer></script>